<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/Medical/ActionDisinfectSelf.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dd7/_action_disinfect_self_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ActionDisinfectSelf.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/dd7/_action_disinfect_self_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d41/class_action_disinfect_self_c_b.html">ActionDisinfectSelfCB</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d28/class_action_disinfect_base.html">ActionDisinfectBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2b51228f049403e15dcfaed3b197b6fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html#a2b51228f049403e15dcfaed3b197b6fd">ActionDisinfectSelf</a> ()</td></tr>
<tr class="separator:a2b51228f049403e15dcfaed3b197b6fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b922d3bb1d26f790bc52030566ba2df"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a6b922d3bb1d26f790bc52030566ba2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80733e1a8c145c8ee7b04476d535d72"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html#ab80733e1a8c145c8ee7b04476d535d72">HasTarget</a> ()</td></tr>
<tr class="separator:ab80733e1a8c145c8ee7b04476d535d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9aa4864fae11769c65e644b5fd97c66"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html#aa9aa4864fae11769c65e644b5fd97c66">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:aa9aa4864fae11769c65e644b5fd97c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00cda41fe9dd093059da5c4b83b591bc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html#a00cda41fe9dd093059da5c4b83b591bc">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a00cda41fe9dd093059da5c4b83b591bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:abf3e6d13e9cf38b652eaf97bdd468ac7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/d28/class_action_disinfect_base.html">ActionDisinfectBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html#abf3e6d13e9cf38b652eaf97bdd468ac7">m_GramsConsumedPerUse</a></td></tr>
<tr class="separator:abf3e6d13e9cf38b652eaf97bdd468ac7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa9aa4864fae11769c65e644b5fd97c66" name="aa9aa4864fae11769c65e644b5fd97c66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9aa4864fae11769c65e644b5fd97c66">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00045">45</a> of file <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html">ActionDisinfectSelf.c</a>.</p>

</div>
</div>
<a id="a2b51228f049403e15dcfaed3b197b6fd" name="a2b51228f049403e15dcfaed3b197b6fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b51228f049403e15dcfaed3b197b6fd">&#9670;&#160;</a></span>ActionDisinfectSelf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDisinfectSelf </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00024">24</a> of file <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html">ActionDisinfectSelf.c</a>.</p>

</div>
</div>
<a id="a6b922d3bb1d26f790bc52030566ba2df" name="a6b922d3bb1d26f790bc52030566ba2df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b922d3bb1d26f790bc52030566ba2df">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00034">34</a> of file <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html">ActionDisinfectSelf.c</a>.</p>

</div>
</div>
<a id="ab80733e1a8c145c8ee7b04476d535d72" name="ab80733e1a8c145c8ee7b04476d535d72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab80733e1a8c145c8ee7b04476d535d72">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00040">40</a> of file <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html">ActionDisinfectSelf.c</a>.</p>

</div>
</div>
<a id="a00cda41fe9dd093059da5c4b83b591bc" name="a00cda41fe9dd093059da5c4b83b591bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00cda41fe9dd093059da5c4b83b591bc">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00051">51</a> of file <a class="el" href="../../d5/dd7/_action_disinfect_self_8c_source.html">ActionDisinfectSelf.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="abf3e6d13e9cf38b652eaf97bdd468ac7" name="abf3e6d13e9cf38b652eaf97bdd468ac7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf3e6d13e9cf38b652eaf97bdd468ac7">&#9670;&#160;</a></span>m_GramsConsumedPerUse</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/d28/class_action_disinfect_base.html">ActionDisinfectBase</a> m_GramsConsumedPerUse</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../dir_66271a146abc2a19aaadbfd18e7f34e5.html">Medical</a></li><li class="navelem"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html">ActionDisinfectSelf.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
